Transaction History Inquiry API
Retrieves payment and refund transaction history based on order date and order number.
API Information
POST/v1/api/pay/translist
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/pay/translist운영
https://npay.settlebank.co.kr/v1/api/pay/translistRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└pktDivCdAN(2)Alphanumeric, up to 2 bytes*Transaction type (RP: payment, RT: cancellation).
Transaction type (RP: payment, RT: cancellation).
RP: Payment RT: Cancellation└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
Merchant order number.
└mchtTrdDtAN(8)Alphanumeric, up to 8 bytes*Order date.
Order date.
└reqDtAN(8)Alphanumeric, up to 8 bytes*Request date.
Request date.
└reqTmAN(6)Alphanumeric, up to 6 bytes*Request time.
Request time.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value.(실시간 생성)SHA-256 hash value.
NOTE
Signature composition
mchtId + mchtTrdNo + mchtTrdDt + reqDt + reqTm + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└dataCntN(4)Numeric, up to 4 bytes*Number of transaction records.
10Number of transaction records.
└trRecordsObject List*Transaction history list.
[{"recordOutRsltCd":"ST00", "recordMchtTrdNo":"OID203739450"}]Transaction history list.
trRecords Detail Fields
└recordOutRsltCdAN(4)Alphanumeric, up to 4 bytes*Transaction result code.
ST00Transaction result code.
└recordOutRsltMsgAN(200)Alphanumeric, up to 200 bytes*Transaction result message.
SuccessTransaction result message.
└recordOutStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code (0021: Success, 0031: Failure).
0021Transaction status code (0021: Success, 0031: Failure).
└recordPktDivCdAN(2)Alphanumeric, up to 2 bytes*Transaction type (RP: payment, RT: cancellation).
RPTransaction type (RP: payment, RT: cancellation).
└recordMchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
OID203739450Merchant order number.
└recordTrdNoAN(40)Alphanumeric, up to 40 bytesHecto Financial transaction reference number.
STFP_PNPTms00001t00220922182409M1962430Hecto Financial transaction reference number.
└recordTrdDtAN(8)Alphanumeric, up to 8 bytes*Transaction date (yyyyMMdd).
20210820Transaction date (yyyyMMdd).
└recordTrdAmtN(13)Numeric, up to 13 bytes*Transaction amount.
1000Transaction amount.
└recordBankCdAN(3)Alphanumeric, up to 3 bytes*Debit bank code.
011Debit bank code.
└recordCustAcntNoAN(15)Alphanumeric, up to 15 bytes*Debit bank account number (masked).
831*******11Debit bank account number (masked).
└recordSvcDivCdN(1)Numeric, up to 1 bytesService used for the transaction.
1Service used for the transaction.
1: Firm bankingNeed technical support?
Code Samples
HectoFinancial GitHub